gctRowRemove <- function(
       keeplist,								#reagent keep list
	   gct.file,                           	# Input dataset with replicates
       extension                            # output filename prefix
)
  {
  #source('/rnai/achilles2/Barbara/scripts/R/common2.R')
  #source('/rnai/achilles2/Barbara/scripts/R/Achilles_common.R')
   
print("Reading gct file.")
### Read gct file 
	dataset <- MSIG.Gct2Frame(filename = gct.file)
###m2 has the actual scores from the gct file
	m2 <- data.matrix(dataset$ds)
	reagent <- dataset$row.names


### Read in keep list of reagents
	print("Reading keep list of reagents.")
	nonoverlap <- read.delim(keeplist, header=T, as.is=T)
	nonoverlap <- nonoverlap[[1]]
	
reagent.suffixFree = gsub("\\w_\\w*", "", reagent) 
	
### Subset for the list of reagents that don't overlap in sequence
	print("Start excluding reagents.")
	#flist <- match(reagent.suffixFree, nonoverlap) 
	x<-{}
	flist <- intersect(nonoverlap,reagent.suffixFree) 
	m3<-dataset$ds[flist,]
	print("Done excluding reagents.")
	
##remove NA rows, if any 	
	tlist <- which(!is.na(flist))
	gct<-{}
	gct$data<-m3[tlist,]
	gct$row.descriptions<-flist[tlist]
	gct$rows<-flist[tlist]
	
	
	### Write out .gct file	with NaNs
	write.gct.nan(gct,paste(extension,"filtered2.gct", sep='_'))

	
	Module_Stats(dataset,gct)
}



Module_Stats <- function(in.gct,out.gct){
  ## Check gct files and see the change in number of cell lines, etc.
  
  ## look for number of rows, columns in the out$data matrix
  
  nLinesIn = ncol(in.gct$ds)
  nLinesOut = ncol(out.gct$data)
  
  nGuidesIn = nrow(in.gct$ds)
  nGuidesOut = nrow(out.gct$data)
  
  
  # Make List of things you are checking
  
  Module.Stats = {}
  Module.Stats$Parameter = c('nLinesIn','nLinesOut','nGuidesIn','nGuidesOut')
  Module.Stats$Stats = c(nLinesIn,nLinesOut,nGuidesIn,nGuidesOut)
  
  #...other stats as necessary
  
  Module.Stats = as.data.frame(Module.Stats)
  
  write.table(Module.Stats,'Module_Stats.txt',quote = FALSE,sep = "\t",row.names = FALSE)
}



	