## The Broad Institute
## SOFTWARE COPYRIGHT NOTICE AGREEMENT
## This software and its documentation are copyright (2013) by the
## Broad Institute/Massachusetts Institute of Technology. All rights are
## reserved.
##
## This software is supplied without any warranty or guaranteed support
## whatsoever. Neither the Broad Institute nor MIT can be responsible for its
## use, misuse, or functionality.

#performs PMAD, ZMAD or quantile normalization (method) on shRNA score file (gct.file).
#plots a before and after normalization (plotfile) 

 args <- commandArgs(trailingOnly=TRUE)

vers <- "2.15"            # R version
libdir <- args[1]
server.dir <- args[2]
patch.dir <- args[3]

source(file.path(libdir, "loadRLibrary.R"))

load.packages(libdir, patch.dir, server.dir, vers)

option_list <- list(
make_option("--keeplist", dest="keeplist"),
make_option("--gct.file", dest="gct.file"),
make_option("--extension", dest="extension")
 )

opt <- parse_args(OptionParser(option_list=option_list), positional_arguments=TRUE, args=args)
print(opt)
opts <- opt$options

source(file.path(libdir, "common2.R"))
source(file.path(libdir, "Achilles_common.R"))
source(file.path(libdir, "gctRowRemove.R"))
	sessionInfo()
	
	gctRowRemove(keeplist=opts$keeplist, gct.file=opts$gct.file, extension=opts$extension)

  
 